﻿namespace TestLibrary
{
    /// <summary>
    /// 피크 정보
    /// </summary>
    public class PeakInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 최소값 - Minimum

        /// <summary>
        /// 최소값
        /// </summary>
        public float Minimum { get; private set; }

        #endregion
        #region 최대값 - Maximum

        /// <summary>
        /// 최대값
        /// </summary>
        public float Maximum { get; private set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PeakInfo(minimum, maximum)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="minimum">최소값</param>
        /// <param name="maximum">최대값</param>
        public PeakInfo(float minimum, float maximum)
        {
            Maximum = maximum;
            Minimum = minimum;
        }

        #endregion
    }
}